## gnu-c-intro-and-ref 0.1

=== Makefile ===
# Simple Makefile to build the manual from Git checkout without
# the need to bootstrap the build system.
#
# Copyright (C) 2023 Richard Stallman
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

SOURCES = c.texi cpp.texi fp.texi gpl.texi fdl.texi version.texi

c.info: $(SOURCES)
	makeinfo c.texi

c.pdf: c.dvi
	dvipdf $<

c.dvi: $(SOURCES)
	texi2dvi $<

c.doc: $(SOURCES)
	makeinfo --docbook $< -o $@
c.html: $(SOURCES)
	makeinfo --html --no-split $< -o $@
c.html.d: $(SOURCES)
	makeinfo --html $< -o $@
c.txt: $(SOURCES)
	makeinfo --plaintext $< > $@

clean:
	rm -f c.dvi c.pdf c.info c.info-* c.doc c.txt c.html
	rm -rf c.html.d
	rm -f c.aux c.cp c.fn c.ky c.log c.pg c.tmp c.toc c.tp c.vr
	rm -f c.cps c.fns

=== debian/changelog ===
gnu-c-intro-and-ref (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1118698)

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 24 Oct 2025 00:20:58 -0700

=== debian/control ===
Source: gnu-c-intro-and-ref
Section: non-free/doc
Priority: optional
Maintainer: Xiyue Deng <manphiz@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 jdupes,
 texinfo,
 texlive-base,
Standards-Version: 4.7.2
Homepage: https://www.gnu.org/software/c-intro-and-ref/
Vcs-Browser: https://salsa.debian.org/debian/gnu-c-intro-and-ref
Vcs-Git: https://salsa.debian.org/debian/gnu-c-intro-and-ref.git

Package: gnu-c-intro-and-ref
Architecture: all
Depends:
 ${misc:Depends},
Description: GNU C Language Introduction and Reference Manual
 This manual explains the C language for use with the GNU Compiler
 Collection (GCC) on the GNU/Linux operating system and other systems.
 This dialect is referred to as GNU C.  If you already know C, you can
 use this as a reference manual.
 .
 This manual describes the GNU C language supported by the GNU
 Compiler Collection, as of roughly 2017.  Please report any changes
 needed to match the current version of GNU C.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_build:
	make c.html

execute_after_dh_link:
	jdupes -rl debian/gnu-c-intro-and-ref/usr

=== debian/watch ===
Version: 5

Source: https://https.git.savannah.gnu.org/git/c-intro-and-ref.git
Matching-Pattern: refs/tags/release-@ANY_VERSION@
Mode: git
